"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventProducer = void 0;
class EventProducer {
    eventQueue;
    environment;
    constructor(eventQueue, environment) {
        this.eventQueue = eventQueue;
        this.environment = environment;
    }
    send(applicationEvent) {
        this.enrich(applicationEvent);
        return this.eventQueue.add(applicationEvent);
    }
    enrich(applicationEvent) {
        applicationEvent.addToPayload({
            environment: this.environment.getOrDefault('dino:environment', process.env.NODE_ENV ?? 'unknown'),
            serverType: this.environment.getOrDefault('dino:server:type', 'unknown'),
            workloadExposedAs: this.environment.getOrDefault('dino:server:expose', 'unknown')
        });
    }
}
exports.EventProducer = EventProducer;
//# sourceMappingURL=EventProducer.js.map